This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours

Bug 848400

Summary: virtio_net virtio0: output:id 0 is not a head!
Product: [Fedora] Fedora Reporter: Alexander Bokovoy <abokovoy>
Component: qemuAssignee: Fedora Virtualization Maintainers <virt-maint>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 18CC: amit.shah, berrange, cfergeau, clalancette, crobinso, dwmw2, extras-orphan, gansalmon, itamar, jonathan, kernel-maint, knoel, madhu.chinakonda, markmc, pbonzini, quintela, rjones, scottt.tw, virt-maint
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2012-09-04 10:21:20 EDT Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:

Description Alexander Bokovoy 2012-08-15 09:36:06 EDT
Description of problem:
I'm running 3.6.0-0.rc1.git5.2.fc18.x86_64 and stalked on this bug:
http://permalink.gmane.org/gmane.comp.emulators.qemu/163730


Version-Release number of selected component (if applicable):
3.6.0-0.rc1.git5.2.fc18.x86_64

How reproducible:
always when running virtual machines in KVM with virtio networking devices


As the patch is already available and accepted by upstream, please consider adding it into the F18 kernel. It makes impossible to use virtio devices right now ;(
Comment 1 Josh Boyer 2012-08-15 09:48:02 EDT
(In reply to comment #0)
> Description of problem:
> I'm running 3.6.0-0.rc1.git5.2.fc18.x86_64 and stalked on this bug:
> http://permalink.gmane.org/gmane.comp.emulators.qemu/163730
> 
> 
> Version-Release number of selected component (if applicable):
> 3.6.0-0.rc1.git5.2.fc18.x86_64
> 
> How reproducible:
> always when running virtual machines in KVM with virtio networking devices
> 
> 
> As the patch is already available and accepted by upstream, please consider
> adding it into the F18 kernel. It makes impossible to use virtio devices
> right now ;(

That patch is against QEMU, not the kernel.
Comment 2 Alexander Bokovoy 2012-08-15 09:59:21 EDT
Sorry, my bad.

Qemu version: qemu-1.2-0.1.20120806git3e430569.fc18.x86_64
Comment 3 Richard W.M. Jones 2012-08-20 06:44:17 EDT
This appears to break virtio networking in guests, so I
think it's urgent to fix this in qemu.  I will try to apply
the patch.

In other news, it'd be great if Fedora developers could
actually use Fedora 18.  I'm using it, and virtualization
suffers from multiple obvious bugs.
Comment 4 Fedora Update System 2012-08-20 07:33:19 EDT
qemu-1.2-0.3.20120806git3e430569.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/qemu-1.2-0.3.20120806git3e430569.fc18
Comment 5 Fedora Update System 2012-08-20 15:49:18 EDT
Package qemu-1.2-0.3.20120806git3e430569.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing qemu-1.2-0.3.20120806git3e430569.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-12294/qemu-1.2-0.3.20120806git3e430569.fc18
then log in and leave karma (feedback).
Comment 6 Cole Robinson 2012-09-04 10:21:20 EDT
A newer 1.2 build should be in f18 stable now, so this should be fixed.
Comment 7 Fedora Update System 2012-09-17 19:31:33 EDT
qemu-1.2-0.3.20120806git3e430569.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.